.login-mobile {
    display: none;
}

@media (max-width: 1050px) {
    .login-card {
        margin: 32px 16px;
    }

    .login-logo {
        padding-top: clamp(37px, 9.56vw - 20.33px, 80px);
        padding-left: clamp(38px, 9.56vw - 20.33px, 77px);
    }
}

@media (max-width: 1000px),
(max-height: 900px) {
    .login-header {
        position: static;
        margin-top: 24px;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 12px;
        order: 2;
    }

    .login-header-text {
        font-size: 14px;
        text-align: center;
    }

    .signup-button {
        padding: 10px 16px;
        font-size: 14px;
    }

    .login-footer {
        position: static;
        display: flex;
        justify-content: center;
        gap: 16px;
        flex-wrap: wrap;
        order: 3;
    }
}

/* @media (max-width: 768px) {
    .login-container {
        width: 100%;
        max-width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-evenly;
    }
    .login-card {
        padding-top: 32px;
        padding-bottom: 32px;
    }

    .login-logo-section {
        min-height: 114px;
    }
} */

@media (max-width: 600px) {
    .login-header {
        display: none;
    }

    .login-logo-section {
        min-height: 115px;
    }

    @keyframes logoAnimation {
        0% {
            content: url(../../assets/icons/logo/logo_white.svg);
            position: absolute;
            width: 274px;
            height: auto;
            top: 50vh;
            left: 50%;
            transform: translate(-50%, -50%);
        }

        100% {
            content: url(../../assets/icons/logo/logoSmall.svg);
            position: absolute;
            width: 64px;
            top: 20px;
            left: 38px;
            margin-bottom: 2px;
            transform: translate(0, 0);
        }
    }

    @keyframes backgroundColor {
        0% {
            position: fixed;
            width: 100%;
            height: 100%;
            background-color: #2a3647;
            opacity: 1;
            z-index: 25;
        }

        100% {
            opacity: 0;
        }
    }

    .login-logo img {
        width: 64px;
        height: 78px;
    }

    .login-logo {
        padding-top: 37px;
        padding-left: 38px;
    }

    .login-mobile {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 12px;
        margin-top: 32px;
    }

    .login-button-primary,
    .login-button-secondary,
    .login-input {
        font-size: 16px;
    }

}

@media (max-width: 530px) {
    .login-title {
        font-size: 47px;
    }
}

@media (max-width: 450px) {
    .login-buttons {
        flex-direction: column;
        gap: 12px;
    }

    .login-title {
        font-size: 43px;
    }

    .login-footer {
        display: flex;
        justify-content: center;
        gap: 16px;
        flex-wrap: wrap;
        order: 3;
    }
}

@media (max-width: 400px) {
    .login-error-message {
        font-size: 14px;
    }
}

@media (max-width: 365px) {
    .login-buttons button {
        font-size: 18px;
    }
}

@media (max-width: 380px) and (max-height: 670px) {
    .login-logo-section {
        min-height: 102px;
    }

    .login-card {
        margin: 12px 16px !important;
    }

    .login-footer {
        padding: 8px 0;
    }

    .login-input {
        height: 32px;
    }
}

@media (min-width: 900px) and (max-width: 1100px) and (max-height: 700px) {
    .login-footer {
        padding-bottom: 40px;
    }
}

@media (min-width: 480px) and (max-width: 600px) and (min-height: 600px) and (max-height: 800px) {
    .login-footer {
        padding-bottom: 40px;
    }
}

@media (max-height: 800px) {
    .login-card {
        padding-top: 16px;
        padding-bottom: 16px;
        margin: 16px;
    }
}